#include <16F88.h>
#device adc=16

#FUSES NOWDT                    //No Watch Dog Timer
#FUSES HS                       //High speed Osc (> 4mhz for PCM/PCH) (>10mhz for PCD)
#FUSES NOPUT                    //No Power Up Timer
#FUSES NOPROTECT                //Code not protected from reading
#FUSES NODEBUG                  //No Debug mode for ICD
#FUSES NOBROWNOUT               //No brownout reset
#FUSES NOLVP                    //No low voltage prgming, B3(PIC16) or B5(PIC18) used for I/O
#FUSES NOCPD                    //No EE protection
//#FUSES WRT_50%                  //Lower half of Program Memory is Write Protected

#use delay(clock=20000000)

#int_EXT
void  EXT_isr(void) 
{

}

#int_AD
void  AD_isr(void) 
{

}



void main()
{

   setup_adc_ports(sAN2|VSS_VDD); 
   setup_adc(ADC_CLOCK_INTERNAL); 
   setup_spi(SPI_SS_DISABLED); 
   setup_timer_0(RTCC_INTERNAL|RTCC_DIV_1); 
   setup_timer_1(T1_DISABLED); 
   setup_timer_2(T2_DIV_BY_1,99,1); 
   setup_ccp1(CCP_PWM); 
   set_pwm1_duty(200); 
   setup_comparator(NC_NC_NC_NC); 
   setup_vref(FALSE); 
   //setup_oscillator(OSC_8MHZ|OSC_INTRC);

   while (1)
   {output_toggle(pin_b6);
   delay_ms(100);
   }
}
